Skip to content
Documentation

Gets all available quotation behaviors

GET /quotationBehaviors

Lists preconfigured quotation behaviors and their corresponding numerical value. The quotation behavior has an effect on which version of the time series is loaded when reading with quotation.

Code Description Type
200 A list of all available quotation behaviors. EnumerationOfQuotationBehavior[]
4XX Indicates that the request failed due to a client error. Please refer to the details provided in the body of the response in order to ensure that the request can be handled properly. ProblemDetails
5XX Indicates that the request failed due to an error that occurred on the server. Consider reporting this error to the server operators. ProblemDetails

Schema: EnumerationOfQuotationBehavior[]

[
{
"value": 2,
"name": "string"
}
]

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}
© 2026 Volue.Version v0.6.38017 November 2026